Skip to main content
POST
/
api
/
v1
/
room
/
measurement_type
curl --location 'http://fssportal.com/api/v1/room/measurement_type' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json'
{
  "message": "Measurement type get successfully.",
  "data": [
    {
      "id": 2,
      "name": "Single Window"
    },
    {
      "id": 3,
      "name": "Multi Window"
    },
    {
      "id": 4,
      "name": "Specialty Window"
    },
    {
      "id": 5,
      "name": "Windows in Series with Draperies"
    }
  ]
}

Endpoint

POST /api/v1/room/measurement_type
This endpoint requires authentication

Headers

X-API-Token
string
required
Your API access token. You can also set this globally in the API playground.
platform
string
required
The platform making the request: WEB, IOS, or ANDROID.

Request Body

No request body required.

Response

message
string
message
data
array
data
curl --location 'http://fssportal.com/api/v1/room/measurement_type' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json'
{
  "message": "Measurement type get successfully.",
  "data": [
    {
      "id": 2,
      "name": "Single Window"
    },
    {
      "id": 3,
      "name": "Multi Window"
    },
    {
      "id": 4,
      "name": "Specialty Window"
    },
    {
      "id": 5,
      "name": "Windows in Series with Draperies"
    }
  ]
}

Notes

  • Authentication is required